Debian Bug report logs - #607885
squeeze testing di beta2 amd64 installer kernel panic on xenserver vm

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jacco Beije <jacco@redproc.com>

Date: Thu, 23 Dec 2010 16:33:02 UTC

Severity: normal

Done: Ian Campbell <ijc@hellion.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#607885; Package installation-reports. (Thu, 23 Dec 2010 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacco Beije <jacco@redproc.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Dec 2010 16:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacco Beije <jacco@redproc.com>
To: submit@bugs.debian.org
Subject: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Thu, 23 Dec 2010 17:06:41 +0100
Package: installation-reports

Boot method: cd
Image version: http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squeeze-di-beta2-amd64-netinst.iso
Date: 2010-12-23 12:00

Machine: VM on XenServer 5.6
Processor: Intel
Memory: 256 MB
Partitions: lvm, seperate volumes for boot, root, home, var, usr, tmp, swap

Output of lspci -knn (or lspci -nn): - (vm)

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [E]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

After selecting which install (tried normal and expert) the kernel boots but hangs right away, only showing:

[    0.279513] Console: switching to colour frame buffer device 100x37
[    0.280223] fb0: VESA VGA frame buffer device
[    0.280361] xen-platform-pci 0000:00:03.0: PCI INT C ->  GSI 30 (level, low) ->  IRQ 30
[    0.281238] Grant table initialized

After 120s a kernel INFO message is shown (again at 240s and a final one at 360), about task swapper blocked for more than 120 seconds. (see also screendump)

Note, beginning of september I created several VMs using the testing amd64 netinst available at that time, and it booted just fine, no problems installing or afterwards running of the VMs.

Jacco






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#607885; Package installation-reports. (Thu, 23 Dec 2010 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacco Beije <jacco@redproc.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 23 Dec 2010 17:09:02 GMT) Full text and rfc822 format available.

Message #10 received at 607885@bugs.debian.org (full text, mbox):

From: Jacco Beije <jacco@redproc.com>
To: 607885@bugs.debian.org
Subject: Bug#607885: Acknowledgement (squeeze testing di beta2 amd64 installer kernel panic on xenserver vm)
Date: Thu, 23 Dec 2010 17:40:39 +0100
[Message part 1 (text/plain, inline)]
trying attachment with screendump again

[squeeze_install_kernel_info.png (image/png, attachment)]

Bug reassigned from package 'installation-reports' to 'linux-2.6'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607885; Package linux-2.6. (Tue, 18 Jan 2011 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 18 Jan 2011 16:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 607885@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Jacco Beije <jacco@redproc.com>, 607885@bugs.debian.org
Subject: Re: Bug#607885: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Tue, 18 Jan 2011 16:10:07 +0000
Hi Jacco,

On Thu, 2010-12-23 at 17:06 +0100, Jacco Beije wrote:
> Image version: http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squeeze-di-beta2-amd64-netinst.iso
[...]
> 
> After selecting which install (tried normal and expert) the kernel boots but hangs right away, only showing:

I presume you are installing an HVM guest using the "Other config"
template?

I just tried this with the di rc1 image from
http://cdimage.debian.org/cdimage/squeeze_di_rc1/amd64/iso-cd/debian-sq-di-rc1-amd64-netinst.iso and it booted and started the installation (I gave up at the root password prompt, having determined that I got past the point where you saw the crash).

There was a bug in an older kernel which caused a hang when the Xen
platform PCI device was active, this was fixed in kernel 2.6.32-26.

Unfortunately there is not enough context in the logs or the screenshot
to determine if this is the issue you are hitting and I don't know how
to figure out what precise kernel version was used the image you were
testing.

If you can hit Shift-PgUp you might be able to scrollback far enough to
see the start of the dmesg you might be able to see a line like:
[    0.000000] Linux version 2.6.32-5-amd64 (Debian 2.6.32-29) (ben@.....)

Where the "(Debian 2.6.32-XX)" indicates the kernel version.

However, I suspect the easiest way to determine if the issue is fixed
would be to simply test the rc1 image...

Ian.

-- 
Ian Campbell
Current Noise: Deicide - The Pentecostal

It destroys one's nerves to be amiable every day to the same human being.
		-- Benjamin Disraeli





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607885; Package linux-2.6. (Wed, 19 Jan 2011 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacco Beije <jacco@redproc.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Jan 2011 00:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 607885@bugs.debian.org (full text, mbox):

From: Jacco Beije <jacco@redproc.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 607885@bugs.debian.org
Subject: Re: Bug#607885: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Wed, 19 Jan 2011 01:50:25 +0100
[Message part 1 (text/plain, inline)]
Hi Ian,

On 2011-01-18 17:10, Ian Campbell wrote:
> Hi Jacco,
>
> On Thu, 2010-12-23 at 17:06 +0100, Jacco Beije wrote:
>> Image version: http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squeeze-di-beta2-amd64-netinst.iso
> [...]
>> After selecting which install (tried normal and expert) the kernel boots but hangs right away, only showing:
> I presume you are installing an HVM guest using the "Other config"
> template?
>

yes, correct.

> I just tried this with the di rc1 image from
> http://cdimage.debian.org/cdimage/squeeze_di_rc1/amd64/iso-cd/debian-sq-di-rc1-amd64-netinst.iso and it booted and started the installation (I gave up at the root password prompt, having determined that I got past the point where you saw the crash).
>

hm, interesting and baffling at the same time, I just tried using this 
image (freshly downloaded an hour ago) on two independent/different 
XenServers (5.6) but I still experience similar problems as before. 
After selecting expert mode the first attached screenshot appears 
immediately, and remains like that for a couple of minutes until the 
hang task timeout (screenshot 2 attachment). Using normal install its 
the same behavior but less output.

> There was a bug in an older kernel which caused a hang when the Xen
> platform PCI device was active, this was fixed in kernel 2.6.32-26.
>
> Unfortunately there is not enough context in the logs or the screenshot
> to determine if this is the issue you are hitting and I don't know how
> to figure out what precise kernel version was used the image you were
> testing.
>
> If you can hit Shift-PgUp you might be able to scrollback far enough to
> see the start of the dmesg you might be able to see a line like:
> [    0.000000] Linux version 2.6.32-5-amd64 (Debian 2.6.32-29) (ben@.....)
>

Unfortunately shift-pgup doesn't do anything; I can't scroll up.

> Where the "(Debian 2.6.32-XX)" indicates the kernel version.
>
> However, I suspect the easiest way to determine if the issue is fixed
> would be to simply test the rc1 image...
>
> Ian.
>

If there is anything else I can do/test to help please let me know.

Jacco

-- 

Jacco Beije
Redproc B.V.

	

*M* +31-(0)6-54270076
*E* jacco@redproc.com <mailto:jacco@redproc.com>

www.redproc.com <http://www.redproc.com>

	


[Message part 2 (text/html, inline)]
[squeeze-rc1-screenshot1.png (image/png, attachment)]
[squeeze-rc1-screenshot2.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607885; Package linux-2.6. (Wed, 19 Jan 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Jan 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 607885@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Jacco Beije <jacco@redproc.com>, 607885@bugs.debian.org
Subject: Re: Bug#607885: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Wed, 19 Jan 2011 08:19:27 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2011-01-19 at 01:50 +0100, Jacco Beije wrote:
> If there is anything else I can do/test to help please let me know. 

You could try adding xen_emul_unplug=never to the kernel command line.
This will prevent the pvhvm drivers from initialising and may allow you
to make progress using the emulated devices.

You should also ensure you are running the most recent XenServer
release.

You could also consider running Squeeze in PV mode instead of PVonHVM.
AIUI this is available as an experimental feature in the latest
XenServer FP release.

If that doesn't work then I think you need to contact XenServer support
or make use of the XenServer forums.

Ian.
-- 
Ian Campbell

It's the RINSE CYCLE!!  They've ALL IGNORED the RINSE CYCLE!!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607885; Package linux-2.6. (Wed, 19 Jan 2011 23:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacco Beije <jacco@redproc.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Jan 2011 23:45:08 GMT) Full text and rfc822 format available.

Message #32 received at 607885@bugs.debian.org (full text, mbox):

From: Jacco Beije <jacco@redproc.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 607885@bugs.debian.org
Subject: Re: Bug#607885: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Thu, 20 Jan 2011 00:41:23 +0100
[Message part 1 (text/plain, inline)]
I was running the lastest XenServer 5.6.0

However, I just upgraded one pool from XenServer 5.6.0 to 5.6.1 (Feature 
Pack 1) and this solves the problem, rc1 is booting normally now!

Jacco


On 2011-01-19 09:19, Ian Campbell wrote:
> On Wed, 2011-01-19 at 01:50 +0100, Jacco Beije wrote:
>> If there is anything else I can do/test to help please let me know.
> You could try adding xen_emul_unplug=never to the kernel command line.
> This will prevent the pvhvm drivers from initialising and may allow you
> to make progress using the emulated devices.
>
> You should also ensure you are running the most recent XenServer
> release.
>
> You could also consider running Squeeze in PV mode instead of PVonHVM.
> AIUI this is available as an experimental feature in the latest
> XenServer FP release.
>
> If that doesn't work then I think you need to contact XenServer support
> or make use of the XenServer forums.
>
> Ian.


-- 

Jacco Beije
Redproc B.V.

	

*M* +31-(0)6-54270076
*E* jacco@redproc.com <mailto:jacco@redproc.com>

www.redproc.com <http://www.redproc.com>

	


[Message part 2 (text/html, inline)]

Reply sent to Ian Campbell <ijc@hellion.org.uk>:
You have taken responsibility. (Thu, 20 Jan 2011 07:36:07 GMT) Full text and rfc822 format available.

Notification sent to Jacco Beije <jacco@redproc.com>:
Bug acknowledged by developer. (Thu, 20 Jan 2011 07:36:07 GMT) Full text and rfc822 format available.

Message #37 received at 607885-done@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Jacco Beije <jacco@redproc.com>
Cc: 607885-done@bugs.debian.org
Subject: Re: Bug#607885: squeeze testing di beta2 amd64 installer kernel panic on xenserver vm
Date: Thu, 20 Jan 2011 07:15:28 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2011-01-20 at 00:41 +0100, Jacco Beije wrote:
> 
> I was running the lastest XenServer 5.6.0
> 
> However, I just upgraded one pool from XenServer 5.6.0 to 5.6.1
> (Feature Pack 1) and this solves the problem, rc1 is booting normally
> now! 

Excellent!

Based on that I am closing this bug.

Ian.

-- 
Ian Campbell

Money can't buy love, but it improves your bargaining position.
		-- Christopher Marlowe
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Feb 2011 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:06:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.